SkinMarketCap API
Market Overview

Get SMC Index history

Daily history of the SMC Index for the whole market or one segment. Costs 1 credit. Needs the Starter plan or above.

GET
/v1/market-overview/index/history

Authorization

x-api-key<token>

In: header

Query Parameters

days?integer

The last this many days, today included; without it, the whole history

Range1 <= value <= 730
segment?string

all for the whole market, or one segment

Default"all"

Value in

  • "all"
  • "knife"
  • "gloves"
  • "rifle"
  • "pistol"
  • "container"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/market-overview/index/history"
{  "data": [    {      "day": "2026-10-01",      "total": 329402870,      "variants": 32758,      "change": 0.5131,      "compared": 28238,      "advancers": 11439,      "decliners": 10780    },    {      "day": "2026-10-02",      "total": 328928159,      "variants": 32763,      "change": -0.1441,      "compared": 27559,      "advancers": 14943,      "decliners": 5641    },    {      "day": "2026-10-03",      "total": 328903739,      "variants": 32765,      "change": -0.0074,      "compared": 28637,      "advancers": 8241,      "decliners": 12948    }  ]}